SCEEWDUMP(1)

NAME
sceewdump - SED-ETHZ EEW SeisComP contributions Documentation

Dumps EEW parameters from a given event ID or file.

DESCRIPTION

sceewdump is released under the GNU Affero General Public License (Free Software Foundation, version 3 or later). It dumps EEW parameters from a given event ID or file.

NOTE: sceewdump is a utility of sceewlog and intends to follow the same logic while selecting preferred EEW solutions. However, the preference order for authors is the only criterion currently implemented.

Example (setup databse parameter in sceewdump.cfg):

sceewdump -E smi:ch.ethz.sed/sc20d/Event/2022njvrzz  \
          -i ~/playback/2022njvrzz.xml \
          --xsl $SEISCOMP_ROOT/share/sceewlog/sc3ml_0.12__quakeml_1.2-RT_eewd.xsl \
          -a scvs,scfdfo

CONFIGURATION
etc/defaults/global.cfg
etc/defaults/sceewdump.cfg
etc/global.cfg
etc/sceewdump.cfg
~/.seiscomp/global.cfg
~/.seiscomp/sceewdump.cfg

sceewdump inherits global options.

COMMAND LINE

  Generic

  Verbosity

  Messaging

  Input

-a, --authors authors
    Author preferrence order (e.g., "scvs,scfinder" ; last is preferred).

-x, --xsl
    Convert using xsl.

-i, --input path
    Read event from XML file instead of database. Use "-" to read from stdin.

-f, --format format
    Input format to use (xml [default], zxml (zipped xml), binary). Only relevant with "--input".

  Dump

-E, --event eventid
    Event id.

AUTHOR
Swiss Seismological Service

COPYRIGHT
2020, SED